fileVerison: 1
packageType: Install
softwareName: ExtBaseService
softwareVersion: V100R020C10SPC300
releaseType: Full
packageFormat: SolutionV3
featureGroup:
  all:
    extbaseservice_db_ip:
    - serviceName: ExtBaseCustom
      require: optional
      deployTemplate: extbase_db_zenith_small.json
      deployOrder: 22
      mgmtSize:
      - '2000'
      - '6000'
      - '15000'
      - '30000'
    - serviceName: ExtBaseCustom
      require: optional
      deployTemplate: extbase_db_zenith_medium.json
      deployOrder: 22
      mgmtSize:
      - '80000'
    extbaseservice_db_ip_mini:
    - serviceName: ExtBaseCustom
      require: optional
      deployTemplate: extbase_db_zenith_mini_2k.json
      deployOrder: 22
      mgmtSize:
      - '2000'
    - serviceName: ExtBaseCustom
      require: optional
      deployTemplate: extbase_db_zenith_mini_6k.json
      deployOrder: 22
      mgmtSize:
      - '6000'
    extbaseservice_db_super:
    - serviceName: ExtBaseCustom
      require: optional
      deployTemplate: extbase_db_zenith_small.json
      deployOrder: 22
      mgmtSize:
      - '2000'
      - '6000'
      - '15000'
    - serviceName: ExtBaseCustom
      require: optional
      deployTemplate: extbase_db_zenith_medium.json
      deployOrder: 22
      mgmtSize:
      - '50000'
    - serviceName: ExtBaseCustom
      require: optional
      deployTemplate: extbase_db_zenith_large.json
      deployOrder: 22
      mgmtSize:
      - '100000'
    extbaseservice:
    - serviceName: UniTopo
      require: optional
      deployTemplate: ies_om_global.json
      deployOrder: 200
    Common_DSOE:
    - serviceName: DSOE
      deployTemplate: ies_om_global.json
      deployOrder: 200
    Common_DSOE_DB_IP:
    - serviceName: ExtBaseCustom
      require: optional
      deployTemplate: dsoe_db_zenith_small.json
      deployOrder: 22
      mgmtSize:
      - '2000'
      - '6000'
      - '15000'
      - '30000'
      - '80000'
    Common_DSOE_DB_Super:
    - serviceName: ExtBaseCustom
      require: optional
      deployTemplate: dsoe_db_zenith_small.json
      deployOrder: 22
      mgmtSize:
      - '2000'
      - '6000'
      - '15000'
    - serviceName: ExtBaseCustom
      require: optional
      deployTemplate: dsoe_db_zenith_medium.json
      deployOrder: 22
      mgmtSize:
      - '50000'
    - serviceName: ExtBaseCustom
      require: optional
      deployTemplate: dsoe_db_zenith_large.json
      deployOrder: 22
      mgmtSize:
      - '100000'
input:
  extbaseservice:
    regionAlias:
      description: regionAlias name
      default: service
      type: string
      require: true
    tenantName:
      description: product name for dbinstance
      default: NCE
      type: string
      require: true
    ZK_LIST:
      description: ZK_LIST IP
      default:
      type: string
      require: true
    OMGlobalAccessLBAddress:
      description: cse center IP
      default:
      type: string
      require: true
    enableServiceIdentity:
      description: The service identity config
      default: 'false'
      type: string
      require: true
    OMConsoleAccessAddress:
      description: The access load balance access address of the OM and Global service
      default:
      type: string
      require: true
    globalBackendLBFloatIPAddr:
      description: The trusted ip or domain of unisso,Auth need
      default:
      type: string
      require: true
    globalAccessLBAddress:
      description: The trusted ip or domain of unisso,Auth need
      default:
      type: string
      require: true
    enableIntegratedDeployment:
      description: The integrated deployment config
      default: 'false'
      type: string
      require: true
    enablePrepareTopo:
      default: 'true'
      description: The united topology pretreatment config
      require: false
      type: string
  Common_DSOE:
    regionAlias:
      description: regionAlias name
      default: service
      type: string
      require: true
    tenantName:
      description: product name for dbinstance
      default: NCE
      type: string
      require: true
    ZK_LIST:
      description: ZK_LIST IP
      default:
      type: string
      require: true
    OMGlobalAccessLBAddress:
      description: cse center IP
      default:
      type: string
      require: true
    enableServiceIdentity:
      description: The service identity config
      default: 'false'
      type: string
      require: true
    OMConsoleAccessAddress:
      description: The access load balance access address of the OM and Global service
      default:
      type: string
      require: true
    globalBackendLBFloatIPAddr:
      description: The trusted ip or domain of unisso,Auth need
      default:
      type: string
      require: true
    globalAccessLBAddress:
      description: The trusted ip or domain of unisso,Auth need
      default:
      type: string
      require: true
    enableIntegratedDeployment:
      default: 'false'
      description: The integrated deployment config
      require: true
      type: string
resources:
  softwareName:
    zh_CN: 公共业务扩展包。
    en_US: Common service extension package.
  packageType:
    Install:
      en_US: Install Package
      zh_CN: 安装包
  featureGroup:
    all:
      en_US: ALL
      zh_CN: 全量特性
  feature:
    extbaseservice:
      en_US: extbaseservice
      zh_CN: extbaseservice
    extbaseservice_db_ip:
      en_US: extbaseservice_db_ip
      zh_CN: extbaseservice_db_ip
    extbaseservice_db_super:
      en_US: extbaseservice_db_super
      zh_CN: extbaseservice_db_super
    Common_DSOE:
      en_US: Common_DSOE
      zh_CN: Common_DSOE
    Common_DSOE_DB_IP:
      en_US: Common_DSOE_DB_IP
      zh_CN: Common_DSOE_DB_IP
    Common_DSOE_DB_Super:
      en_US: Common_DSOE_DB_Super
      zh_CN: Common_DSOE_DB_Super
  input:
    regionAlias:
      en_US: region Alias
      zh_CN: 区域别名
    tenantName:
      en_US: tenantName For DBM
      zh_CN: 租户名
    ZK_LIST:
      en_US: ZK_LIST
      zh_CN: ZooKeeper 列表
    OMGlobalAccessLBAddress:
      en_US: OMGlobalAccessLBAddress
      zh_CN: OMGlobalAccessLBAddress
    region-local:
      en_US: region-local
      zh_CN: region-local
    enableServiceIdentity:
      en_US: Whether to control accesses to a service
      zh_CN: 服务访问控制开关
    OMConsoleAccessAddress:
      en_US: OMConsoleAccessAddress
      zh_CN: OMConsoleAccessAddress
    globalBackendLBFloatIPAddr:
      en_US: globalBackendLBFloatIPAddr
      zh_CN: globalBackendLBFloatIPAddr
    globalAccessLBAddress:
      en_US: globalAccessLBAddress
      zh_CN: globalAccessLBAddress
    enableIntegratedDeployment:
      en_US: enableIntegratedDeployment
      zh_CN: enableIntegratedDeployment
    enablePrepareTopo:
      en_US: enablePrepareTopo
      zh_CN: enablePrepareTopo
